coupang
POST/v2/providers/openapi/apis/api/v5/vendors/{vendorId}/outboundShippingCenters2609170000

Create a shipping location

# 01

Summary

Create a shipping location

# 02

Details

Available buyer market: Korea, Taiwan

This API creates shipping location. Seller can use this API to create more than one shipping location and those created are designated when seller list products.

Creation of shipping locations with the same address is restricted.

When creating/modifying shipping location, please set the value of usable parameter as true (use).

Path

POST/v2/providers/openapi/apis/api/v5/vendors/{vendorId}/outboundShippingCenters

Example endpoint

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v5/vendors/A00012345/outboundShippingCenters

URL API Name

REGISTER_OUTBOUND_SHIPPING_CENTER
# 03

Path parameters

NameTypeDescription
vendorId*string
Seller ID
Unique code issued to seller by Coupang
Ex) A00012345
# 04

Request body

Request parameters

Body parameter

NameTypeDescription
vendorId*string
Seller ID
Unique code issued to seller by Coupang
Ex) A00012345
userId*string
User ID (log-in account for Coupang WING)
shippingPlaceName*string
Name of shipping location, up to 50 characters
Impossible to register shipping locations with the same name in duplicate
0usableboolean
Whether it is usable
true usable
false not usable
Default value: true
globalstring
Default value: false
Domestic or overseas
CODE Mean
false domestic)
true overseas)
placeAddresses*object[]
Address of shipping location
addressType
placeAddresses[].addressType
string
Type of address
JIBUN, ROADNAME, OVERSEA
CODE Mean
JIBUN Land lot-based
ROADNAME Road name-based
OVERSEA Overseas
Make sure to register a road name-based address along with its land lot-based address.
countryCode
placeAddresses[].countryCode
string
Country code, input "KR" for domestic address. Number of characters valid: 2
companyContactNumber
placeAddresses[].companyContactNumber
string
Phone number, e.g. : xx-yyy-zzzz,
Type Min~Max
x 2~4 digits
y 3~4 digits
z 4 digits
phoneNumber2
placeAddresses[].phoneNumber2
string
2nd phone number (format: same as the phone number1 above)
returnZipCode
placeAddresses[].returnZipCode
string
Zip code: numbers, minimum 5, maximum 6 digits
returnAddress
placeAddresses[].returnAddress
string
Address, up to 150 characters
returnAddressDetail
placeAddresses[].returnAddressDetail
string
Detailed address, up to 200 characters
remoteInfosobject[]
Additional shipping fee for remote areas
deliveryCode
remoteInfos[].deliveryCode
string
Courier code
Go to Courier Code
You can register multiple couriers, but duplicate registration is impossible.
jeju
remoteInfos[].jeju
string
Shipping fee for Jeju Island (won)
You can enter KRW 0 or between KRW 1,000 - 8,000 (down to the unit of KRW 100); Excluding payment on delivery.
Exception EPOST courier: You can enter KRW 0 or between KRW 100 - 400 (down to the unit of KRW 100); Excluding payment on delivery.
notJeju
remoteInfos[].notJeju
string
Shipping fee for areas other than Jeju Island (won)
Same as Jeju Island
Request exampleapplication/json
{
  "vendorId": "A00011620",
  "userId": "testId",
  "shippingPlaceName": "상품출고지 생성",
  "global": "false",
  "usable": "true",
  "placeAddresses": [
    {
      "addressType": "JIBUN",
      "countryCode": "KR",
      "companyContactNumber": "1588-1234",
      "phoneNumber2": "010-1234-5678",
      "returnZipCode": "10516",
      "returnAddress": "경기도 파주시 탄현면 월롱산로",
      "returnAddressDetail": "294-58"
    }
  ],
  "remoteInfos": [
    {
      "deliveryCode": "KGB",
      "jeju": "5000",
      "notJeju": "2500"
    },
    {
      "deliveryCode": "CJGLS",
      "jeju": "5000",
      "notJeju": "2500"
    }
  ]
}
# 05

Response body

Response message

NameTypeDescription
codestring
Server response code
messagestring
Server response message
dataobject
Result of shipping location creation
resultCode
data.resultCode
string
Result code
SUCCESS or FAIL
resultMessage
data.resultMessage
string
Result message (shipping location code)
Print out outbound shipping place code
Able to view the list of shipping locations with the code

Response Example

{
  "code": "200",
  "message": "SUCCESS",
  "data": {
    "resultCode": "SUCCESS",
    "resultMessage": "115"
  }
}
# 06

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (Request parameter check)

You can enter KRW 0 or between KRW 100 - 400

In the case of EPOST courier, make sure that you enter KRW 0 or between KRW 100 - 400

400400 (Request parameter check)

Post code can't be empty

Check if returnZipCode value was entered.

400400 (Duplicate entry)

[Duplicate shipping location] The same address has been registered (Duplicate location code: 2026xxxx)

Check if the same returnAddress value was entered.

400400 (Duplicate entry)

[Duplicate shipping location] Duplicated request. name:xxxxx

Check if the same returnAddress value was entered.

400400 (Request parameter check)

Shipping fee should be 0, or a number from 1,000 to 20,000 won.

Check if the right range of value was entered for jeju, notJeju value. Enter 0 or a number from 1,000 to 20,000 won as the shipping fee for remote areas.

400400 (Request parameter check)

The format of postal code is invalid, it can only be number

Check if characters not numbers were entered for returnZipCode value.

400400 (Request parameter check)

params are not allowed null...

Check if null value was entered.

400400 (Request parameter check)

params's vendorId not equals gateway's vendorId!

Check if wrong vendorID was entered.

400400 (Request parameter check)

The max length of the shipping place name is 50, please input the correct length name

Check if more than 50 characters were entered for shippingPlaceName value.

400400 (Request parameter check)

The address detail info can't be null(placeAddress)

Check if returnAddress value was entered.

400400 (Request parameter check)

Must input the default phone number(phoneNumber1)

Check if phoneNumber1 value was entered.

400400 (Request parameter check)

Must input the default address(address1)

Check if returnAddress value was entered.

400400 (Request parameter check)

The length of country code is 2, please input correct length country code

Check if the right countryCode value was entered.

400400 (Request parameter check)

Please input the correct phone number format including numbers and '-' (min 9, max 13)

Check if companyContactNumber or phoneNumber2 value was entered in the right format. It should be 9 ~ 13 digits including '-'.

400400 (Request parameter check)

The format of postal code is invalid, it can only be number, min length is 5 and max length is 6

Check if the right returnZipCode value was entered. It should be only numbers and 5~6 digits.

500500 (check request parameter)

shipping-places create error.

Check if the courier contract code (contractNumber) is correct.